<?php

class Acronis_User
{
    private $_datacenterUrl;
    private $_username;
    private $_password;
    private $_tenantId;
    private $_parentTenantId;
    private $_userId;


    /**
     * constructor.
     *
     * @param string $username
     * @param string $password
     * @param string $datacenterUrl
     */
    public function __construct($username, $password, $datacenterUrl)
    {
        $this->_username = $username;
        $this->_password = $password;
        $this->_datacenterUrl = $datacenterUrl;
    }

    /**
     * Get basic credentials.
     *
     * @return string
     */
    public function getBasicCredentials()
    {
        return base64_encode("$this->_username:$this->_password");
    }

    /**
     * Set tenantId.
     *
     * @param string $tenantId
     */
    public function setTenantId($tenantId)
    {
        $this->_tenantId = $tenantId;
    }

    /**
     * Get tenantId.
     *
     * @return string
     */
    public function getTenantId()
    {
        return $this->_tenantId;
    }


    /**
     * Set userId.
     *
     * @param string $userId
     */
    public function setUserId($userId)
    {
        $this->_userId = $userId;
    }

    /**
     * Get userId.
     *
     * @return string
     */
    public function getUserId()
    {
        return $this->_userId;
    }

    /**
     * Get datacenterUrl.
     *
     * @return string
     */
    public function getDatacenterUrl()
    {
        return $this->_datacenterUrl;
    }

    /**
     * Get username
     *
     * @return string
     */
    public function getUsername()
    {
        return $this->_username;
    }

    /**
     *
     */
    public function getPassword()
    {
        return $this->_password;
    }
}
