# Acronis Plugin
## Software Configuration
1. The following ports must be open: 443, 8443, 44445, 5060 and 7770-7800. You can use the following link to verify that all necessary ports are open: [Acronis Backup Cloud: Connection Verification Tool](https://kb.acronis.com/content/47678)

## Installing the plugin
Install the plugin by running the following command:
yum install interworx-plugin-acronis

## Activating the Plugin
After installing the plugin, you'll need to activate it.
1. Log into NodeWorx and naviate to NodeWorx > Plugins.
2. Acronis should be listed under Backup / Restore. Select Edit.
3. Enter the acronis credentials & change the status to "Enabled".
4. Select save. If the credentials were entered correctly, acronis should be added to the menu, under the tab Server. You might have to refresh the page to see the new menu item.
5. Navigate to Acronis and select "Enable Backup". The backup agent will be installed and backup will be enabled.

## Manual Backup Agent Installation
Enabling the backup as described in the steps above will take care of the backup agent installation for you. However, if you wish to install the backup agent before activating the iworx license, you can follow these instructions.

1. Manually add a file with the name acroniscredentials to /home/interworx/etc/env. The content of the file should be in json format and include the acronis username, password, and datacenter url. The file will automatically get deleted once the installation is completed.
```
{
    "username": "acronis-username",
    "password": "acronis-password",
    "url": "https://{data-center}-cloud.acronis.com"
}
```

2. Run the install command: ``` ~iworx/bin/php ~iworx/plugins/acronis/bin/acronisinstaller.php --install ```
3. To uninstall the plugin, run the above command with the flag ```--uninstall```.
4. You may also install it interactively by following the Acronis guidelines:  https://kb.acronis.com/content/55052

## Plugin Functionality
1. Single-signon to Acronis Backup Cloud.
2. Run backup.
3. Turn backup on/off.
4. View last backup status & time.
5. View when the next backup is scheduled.
6. View logs associated with acronis backups.

## Troubleshooting
1. If links are unresponsive or page content doens't load, update the file permissions by running the following CLI command:
~iworx/bin/cvspermsfix.pex
2. If encountering issues when activating the plugin, make sure that the data center URL is correct. Make sure that the URL does not contain any trailing /. E.g. https://cloud.acronis.com will work, while https://cloud.acronis.com/ may result in an error.
3. If the backup agent installation fails, make sure that the required packages are installed:
    1. Packages for building kernel modules: `kernel-devel elfutils-devel elfutils-libelf-devel`. Make sure that the package version matches the kernel version:
    ```
    Yum list installed | grep kernel-devel
    cat /proc/version
    ```

    If versions do not match, update the kernel and reboot.
    ```
    Yum update kernel
    Reboot
    ```

    2. GNU Compiler Collection (GCC) compiler system. GCC version must be the same as the version used to compile the kernel:
    ```
    Gcc -v
    cat /proc/version
    ```
    3. Make tool
    ```
    make -v
    ```
    For more information & troubleshooting steps: https://kb.acronis.com/content/55052