(() => {
    let ctrl = '/nodeworx/acronis';
    let action = 'installBackupAgentCommit';
    let input = {
        iw_payload_output: 'json',
        security_token: iw_js_data.iw_env.security_token
    };

    let enableBackupBtn = document.getElementById('ab-enable-backup-button');
    let doneBtn = document.getElementById('ab-install-agent-done-button');

    let firstStepId = 'ab-install-agent-first';
    let secondStepId = 'ab-install-agent-second';
    let thirdStepId = 'ab-install-agent-third';
    let resultHeaderId = 'ab-install-agent-result-title';
    let resultMessageId = 'ab-install-agent-result-messages';

    let toggleVisibility = (id) => {
        let $element = $(`#${id}`);
        $element.toggleClass('hide');
    }

    let displayThirdStep = (headerContent, messageContent) => {
        let $h = $(`#${resultHeaderId}`);
        let $msgDiv = $(`#${resultMessageId}`);

        $h.text(headerContent);
        $msgDiv.html(messageContent);
        toggleVisibility(thirdStepId);
    }

    let callback = (reply, success) => {
        if (!success) {
            console.log('SOMETHING WENT WRONG');
        } else {
            let successMessage = 'Backup has successfully been enabled.';
            let failMessage = 'Operation failed. Follow acronis instructions to manually install the backup agent:  <a href="https://kb.acronis.com/content/55052" target="_blank">acronis documentation for installing the backup agent</a>';
            let replyData = reply.getReplyData();
            let success = replyData.success;

            let headerContent = success ? 'Installation succeeded!' : 'Installation failed';
            let textContent = success ? successMessage : failMessage;

            toggleVisibility(secondStepId);
            displayThirdStep(headerContent, textContent);
        }
    }


    let sendAjaxRequest = () => {
        toggleVisibility(firstStepId);
        toggleVisibility(secondStepId);

        iw_ctrl_handler.execute(null, callback, ctrl, action, input);
    }

    let refreshPage = () => {
        location.reload();
    }

    enableBackupBtn.addEventListener('click', sendAjaxRequest);
    doneBtn.addEventListener('click', refreshPage);
})();